@import "../../palette.scss";
:host {
  
}

.matcard {
	margin: 1em;
	display: flex;
	flex-direction: column;
}


.inputField {
	overflow-wrap: break-word;
	margin: 0em !important;
	&:focus {
		outline: none !important;
	}
	min-height: 4em;
	width: 100%;
	height: 100%; // bit weird, but works...
	max-height: 100%;
	white-space: pre-wrap;
	padding: 3px;
	background: url(../../assets/fff1x1.png) repeat;
	color: #fff;
	resize: none;
	box-sizing: border-box;
	font: inherit;
	border: none;
	&#output {
		height:5vh;
	}
	&#outputP {
		height:5vh;
	}
}
.outer-input-field {
	max-width: 100%;
	flex-basis: 100%;
	padding: 0px;
}

.outputField {
	overflow-wrap: break-word;
	margin: 0em !important;
	height: 12em;
	white-space: pre-wrap;
	overflow-y: auto;
	padding: 3px;
}
mat-checkbox {
	margin: 8px 16px;
}

.runBtn {
	width: 10ch;
	text-align: center;
	margin: 8px 0px 0px 0px; 
}

.flex-container {
	overflow: hidden;
	display: flex;
	width: 80%;

	justify-content: space-between;
}

.flex-item {
	margin: 0.7%;
}

.flex-item.item1 {
	flex-basis: 25%;
	width: 70%;
	display: flex;
	flex-direction: column;
	justify-content: stretch;
	//flex-grow: 0;
	mat-card {
		height: 100%;
	}
}

.flex-item.item2 {
	flex-basis: 10%;
	width: 40%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}
.flex-item.item3 {
	flex-basis: 20%;
	width: 40%;
	min-width: 35%;
	display: flex;
	flex-direction: column;
	justify-content: stretch;
	mat-card {
		height: 100%;
	}
}